Subject: RE: [DUG-OFFTOPIC]: Resourcing IT...
From: Grant Black <[email-masked]>
To: Multiple recipients of list offtopic <[email-masked]>
Date: Mon, 19 Mar 2001 15:04:09 +1200

> What I am wondering is what would the average sort of IT team 
> size be for an organisation of say 100 employees. Now I know this all 
> depends on lots of factors...
When you talk about IT staff, are you talking about IT support and
application development staff? 
 
> A couple of details are as follows... we are a very technical oriented
> company... we have about 70 PCs running all kinds of software... so,
> obviously some staff's responsibility is on keeping everything running and
> on general IT support.
100 people - 70 computers? I think most companies I have worked for have
about 1.1 -1.2 computers per person once you round up all the spare/test
machines and other odd boxes, (have worked in one place with about 2.5
computers per person which was nice).
 
> Also, we mostly develop in house software applications... and there is
> always things to do!! To date we have not outsourced much (if any)
> development work
Outsourcing development work seems difficult if you are talking about
requiring industry specific knowledge. I would be tempted to outsource IT
support and other aspects & keep at least design & testing in house.  I
figure the development team size has to be scaled according to demand and
cost-benefits. If users, (in-house or not), are screaming for bug fixes and
have budget to pay for the work then you need more staff (or work smarter of
course).
 
> Just wondering if anyone could guess (or comment on other similar
> organisations) at the number of IT staff we would typically require.
I know that if everyone kept a log of every hour spent doing support issues
(I just spent a morning tracking down why a HP laser printer was just
spewing out pages at a client site), then the number of hours required to
maintain 70+ workstations/servers would be 'significant'.  I would guess at
least one full-time support person with support from consultants (such as
LanCom or CSC etc) and/or part-timers.  

Grant